<?php
/**
 * Breaking News options.
 *
 * @package DarkMag
 */

$default = darkmag_get_default_theme_options();

// Featured Breaking News Section
$wp_customize->add_section( 'section_breaking_news',
	array(
	'title'      => __( 'Breaking News', 'darkmag' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'home_page_panel',
	)
);

// Enable Breaking News Section
$wp_customize->add_setting('theme_options[enable_breaking_news_section]', 
	array(
	'default' 			=> $default['enable_breaking_news_section'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'darkmag_sanitize_checkbox'
	)
);

$wp_customize->add_control('theme_options[enable_breaking_news_section]', 
	array(		
	'label' 	=> __('Enable Breaking News Section', 'darkmag'),
	'section' 	=> 'section_breaking_news',
	'settings'  => 'theme_options[enable_breaking_news_section]',
	'type' 		=> 'checkbox',	
	)
);

// Section Title
$wp_customize->add_setting('theme_options[breaking_news_section_title]', 
	array(
	'default'           => $default['breaking_news_section_title'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control('theme_options[breaking_news_section_title]', 
	array(
	'label'       => __('Section Title', 'darkmag'),
	'section'     => 'section_breaking_news',   
	'settings'    => 'theme_options[breaking_news_section_title]',	
	'active_callback' => 'darkmag_breaking_news_active',		
	'type'        => 'text'
	)
);

// Number of items
$wp_customize->add_setting('theme_options[number_of_breaking_news_items]', 
	array(
	'default' 			=> $default['number_of_breaking_news_items'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'darkmag_sanitize_number_range'
	)
);

$wp_customize->add_control('theme_options[number_of_breaking_news_items]', 
	array(
	'label'       => __('Number Of Items', 'darkmag'),
	'description' => __('Save & Refresh the customizer to see its effect. Maximum is 6.', 'darkmag'),
	'section'     => 'section_breaking_news',   
	'settings'    => 'theme_options[number_of_breaking_news_items]',		
	'type'        => 'number',
	'active_callback' => 'darkmag_breaking_news_active',
	'input_attrs' => array(
			'min'	=> 1,
			'max'	=> 6,
			'step'	=> 1,
		),
	)
);

$wp_customize->add_setting('theme_options[breaking_news_content_type]', 
	array(
	'default' 			=> $default['breaking_news_content_type'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'darkmag_sanitize_select'
	)
);

$wp_customize->add_control('theme_options[breaking_news_content_type]', 
	array(
	'label'       => __('Content Type', 'darkmag'),
	'section'     => 'section_breaking_news',   
	'settings'    => 'theme_options[breaking_news_content_type]',		
	'type'        => 'select',
	'active_callback' => 'darkmag_breaking_news_active',
	'choices'	  => array(
			'breaking_news_post'	  => __('Post','darkmag'),
			'breaking_news_category' => __('Category','darkmag'),
		),
	)
);

$number_of_breaking_news_items = darkmag_get_option( 'number_of_breaking_news_items' );

for( $i=1; $i<=$number_of_breaking_news_items; $i++ ) {

	// Post
	$wp_customize->add_setting('theme_options[breaking_news_post_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'darkmag_dropdown_pages'
		)
	);

	$wp_customize->add_control('theme_options[breaking_news_post_'.$i.']', 
		array(
		'label'       => sprintf( __('Select Post #%1$s', 'darkmag'), $i),
		'section'     => 'section_breaking_news',   
		'settings'    => 'theme_options[breaking_news_post_'.$i.']',		
		'type'        => 'select',
		'choices'	  => darkmag_dropdown_posts(),
		'active_callback' => 'darkmag_breaking_news_post',
		)
	);
}

// Setting Category.
$wp_customize->add_setting( 'theme_options[breaking_news_category]',
	array(
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	new darkmag_Dropdown_Taxonomies_Control( $wp_customize, 'theme_options[breaking_news_category]',
		array(
		'label'    => __( 'Select Category', 'darkmag' ),
		'section'  => 'section_breaking_news',
		'settings' => 'theme_options[breaking_news_category]',	
		'active_callback' => 'darkmag_breaking_news_category',		
		)
	)
);